package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * PortalPictureInfo
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class PortalPictureInfo   {
  @JsonProperty("id")
  private String id;

  @JsonProperty("fileName")
  private String fileName;

  @JsonProperty("url")
  private String url;

  public PortalPictureInfo id(String id) {
    this.id = id;
    return this;
  }

  /**
   * Portal picture ID
   * @return id
  */
  @ApiModelProperty(value = "Portal picture ID")


  public String getId() {
    return id;
  }

  public void setId(String id) {
    this.id = id;
  }

  public PortalPictureInfo fileName(String fileName) {
    this.fileName = fileName;
    return this;
  }

  /**
   * File name
   * @return fileName
  */
  @ApiModelProperty(value = "File name")


  public String getFileName() {
    return fileName;
  }

  public void setFileName(String fileName) {
    this.fileName = fileName;
  }

  public PortalPictureInfo url(String url) {
    this.url = url;
    return this;
  }

  /**
   * File URL
   * @return url
  */
  @ApiModelProperty(value = "File URL")


  public String getUrl() {
    return url;
  }

  public void setUrl(String url) {
    this.url = url;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    PortalPictureInfo portalPictureInfo = (PortalPictureInfo) o;
    return Objects.equals(this.id, portalPictureInfo.id) &&
        Objects.equals(this.fileName, portalPictureInfo.fileName) &&
        Objects.equals(this.url, portalPictureInfo.url);
  }

  @Override
  public int hashCode() {
    return Objects.hash(id, fileName, url);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class PortalPictureInfo {\n");
    
    sb.append("    id: ").append(toIndentedString(id)).append("\n");
    sb.append("    fileName: ").append(toIndentedString(fileName)).append("\n");
    sb.append("    url: ").append(toIndentedString(url)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

